import pathlib

from . import utils
from . import parsers
from . import graphs
from . import report


def process_log_files(log_files):
    data = parsers.parse_logs(log_files)
    graph_paths = graphs.generate_all_graphs(data)
    pdf_path = report.generate_report(data, graph_paths)
    return pdf_path

def process_log_folder(folder):
    log_files = utils.find_log_files(folder)
    return process_log_files(log_files)
